Get Run
curl --request GET \
--url https://api.soharhealth.com/v1/runs/{flowRunId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.soharhealth.com/v1/runs/{flowRunId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.soharhealth.com/v1/runs/{flowRunId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"flowRunId": "fb701ac1-1246-4860-b1ec-bd916b97a990",
"status": "CREATED",
"output": {},
"errors": [
{
"status": 400,
"param": "payerId",
"error": "invalid_request_error",
"state": "create-verification"
}
]
}{
"error": "invalid_request_error"
}{
"error": "invalid_request_error"
}{
"status": 413,
"error": "context_size_limit_exceeded",
"state": "create-verification"
}{
"error": "Too many requests"
}Runs
Get Run
Returns the latest status of a Run and output when complete.
GET
/
v1
/
runs
/
{flowRunId}
Get Run
Authorizations
Include an OAuth 2.0 bearer token in the Authorization header. See Authentication.
Path Parameters
The Sohar ID for the Run
Example:
"fb701ac1-1246-4860-b1ec-bd916b97a990"
Response
A Run
The Sohar ID for the Run.
Example:
"fb701ac1-1246-4860-b1ec-bd916b97a990"
Current status of the Run.
Available options:
CREATED, IN_PROGRESS, PENDING, COMPLETE, ERROR The Run output when status is COMPLETE. The schema of this object is defined in the Flow template.
An optional array of error objects returned when status is ERROR.
Show child attributes
Show child attributes